Subject: Problems with Linda in gaussian 98

From: Per Tetzschner Olsen <[email-masked]>
Date: Fri, 2 Aug 2002 09:38:37 +0200

Dear CCL

I have ran into a problem with g98. I am trying to use linda on a linux
cluster, but I received an error after I submitted the job.
I would appreciate any help.

The submitted job:
#! /bin/csh
#PBS -l nodes=4
set node_list = '"'`cat $PBS_NODEFILE`'"'
setenv GAUSS_LFLAGS "-nodelist $node_list"
setenv g98root /usr/local/lib
source $g98root/g98/bsd/g98.login
setenv GAUSS_EXEDIR $g98root/g98
setenv GAUSS_SCRDIR /scratch
setenv PATH ${PATH}":/usr/local/lib/g98/linda/intel-linux2.4/bin"
/usr/local/lib/g98/bsd/g98l < /home/tetz/3mintpm3.inp >
/home/tetz/3mintpm3.out

I have used %nproclinda=4 instead of normal %nproc=4 in my .inp - file

The error I received from my submitted job:

setenv GAUSS_EXEDIR /usr/local/lib/g98/linda-exe:/usr/local/lib/g98
g98
/usr/local/lib/g98/linda-exe/l302.exel: error while loading shared
libraries: util.so: cannot open shared object file: No such file or
directory
ntsnet: too many workers exited to continue
ntsnet: needed: 3, started: 3, died: 1

first of all util.so exists in that library, so I believe could be
an error loading the proper path but that is just a guess.

the gaussian job crashes after l301, but that is no surprise.

I hope someone can enlighten my unexperienced linda way

With regards

Per Tetzschner

University of Southern Denmark
5230 Odense M
Denmark